Package org.eclipse.ecf.core.sharedobject

## Class SharedObjectDisconnectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.core.runtime.CoreException
      - - org.eclipse.ecf.core.util.ECFException
        - - org.eclipse.ecf.core.sharedobject.SharedObjectDisconnectException

All Implemented Interfaces:
  `Serializable`

    public class SharedObjectDisconnectException
    extends ECFException

Exception thrown upon `ISharedObjectManager.disconnectSharedObjects(ISharedObjectConnector)`

See Also:
  `ISharedObjectManager.disconnectSharedObjects(ISharedObjectConnector)`, Serialized Form

### Constructor Summary

Constructors
`SharedObjectDisconnectException()`
`SharedObjectDisconnectException​(String arg0)`
`SharedObjectDisconnectException​(String msg, Throwable cause)`
`SharedObjectDisconnectException​(Throwable cause)`
`SharedObjectDisconnectException​(org.eclipse.core.runtime.IStatus status)`

### Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SharedObjectDisconnectException

    public SharedObjectDisconnectException()

#### SharedObjectDisconnectException

    public SharedObjectDisconnectException​(org.eclipse.core.runtime.IStatus status)

#### SharedObjectDisconnectException

    public SharedObjectDisconnectException​(String arg0)

#### SharedObjectDisconnectException

    public SharedObjectDisconnectException​(String msg,
                                           Throwable cause)

#### SharedObjectDisconnectException

    public SharedObjectDisconnectException​(Throwable cause)